import arviz as az
import matplotlib.pyplot as plt
import seaborn as sb
import pickle


with open('dframe.pkl', 'rb') as f:
    dframe = pickle.load(f)
print('keys...\n', dframe.keys())

with open('inf_data.pkl', 'rb') as f:
    inference_data = pickle.load(f)

summary = az.summary(inference_data)
print('Summary:\n', summary)

az.plot_trace(inference_data)
plt.tight_layout()
plt.savefig('FigTrace.png')
plt.show()

print(dframe)
sb.kdeplot(dframe['theta.1'])
plt.title("KDEPlot of dframe['theta.1]", fontsize = 16)
plt.savefig('Fig1.png')
plt.show()

with open('v_theta.pkl', 'rb') as f:
    v_theta = pickle.load(f)
print(v_theta[:5])
sb.kdeplot(v_theta[0])
plt.title('KDEPlot of v_theta')
plt.savefig('Fig2.png')
plt.show()
